{
  "compilerOptions": {
    "esModuleInterop": true,
    "skipLibCheck": true,
    "target": "esnext",
    "allowJs": true,
    "resolveJsonModule": true,
    "moduleDetection": "force",
    "isolatedModules": true,
    "module": "preserve",
    "noEmit": true,
    "lib": [
      "esnext",
      "dom",
      "dom.iterable"
    ],
    "strict": false,
    "strictNullChecks": false,
    "allowUnreachableCode": false,
    "allowUnusedLabels": false,
    "noImplicitOverride": true,
    // "exactOptionalPropertyTypes": true,
    "noUncheckedIndexedAccess": true,
    "paths": {
      "app": [
        "./"
      ],
      "app/*": [
        "./*"
      ],
      "src": [
        "./src"
      ],
      "src/*": [
        "./src/*"
      ],
      "components": [
        "./src/components"
      ],
      "components/*": [
        "./src/components/*"
      ],
      "layouts": [
        "./src/layouts"
      ],
      "layouts/*": [
        "./src/layouts/*"
      ],
      "pages": [
        "./src/pages"
      ],
      "pages/*": [
        "./src/pages/*"
      ],
      "assets": [
        "./src/assets"
      ],
      "assets/*": [
        "./src/assets/*"
      ],
      "boot": [
        "./src/boot"
      ],
      "boot/*": [
        "./src/boot/*"
      ],
      "@costanti": [
        "./src/store/Modules/costanti.ts"
      ],
      "@components": [
        "./src/compoments/index.ts"
      ],
      "@components/*": [
        "./src/compoments/*"
      ],
      "@boot": [
        "./src/boot/*"
      ],
      "@views": [
        "./src/views/*"
      ],
      "@src/*": [
        "./src/*"
      ],
      "@css": [
        "./src/css/variables.scss"
      ],
      "@icons": [
        "./src/public/myicons/*"
      ],
      "@images": [
        "./src/public/images/*"
      ],
      "@maps": [
        "./src/public/maps/*"
      ],
      "@classes": [
        "./src/classes/index.ts"
      ],
      "@utils": [
        "./src/utils/index.ts"
      ],
      "@router": [
        "./src/router/index.ts"
      ],
      "@validators": [
        "./src/utils/validators.ts"
      ],
      "@methods": [
        "./src/utils/methods.ts"
      ],
      "@api": [
        "./src/store/Api/index.ts"
      ],
      "@api/*": [
        "./src/store/Api/*"
      ],
      "@paths": [
        "./src/store/Api/ApiRoutes.ts"
      ],
      "@tools": [
        "./src/store/Modules/tools.ts"
      ],
      "@store": [
        "./src/store"
      ],
      "@store/*": [
        "./src/store/*"
      ],
      "@modules": [
        "./src/store/Modules/index.ts"
      ],
      "@model": [
        "./src/model/index.ts"
      ],
      "@model/*": [
        "./src/model/*"
      ],
      "model": [
        "./src/model/index.ts"
      ],
      "enums": [
        "./src/enums/*"
      ],
      "crypto": [
        "./node_modules/bcryptjs"
      ],
      "#q-app/bex/background": [
        "./../node_modules/@quasar/app-vite/types/bex/entrypoints/background.d.ts"
      ],
      "#q-app/bex/content": [
        "./../node_modules/@quasar/app-vite/types/bex/entrypoints/content.d.ts"
      ],
      "#q-app/bex/private/bex-bridge": [
        "./../node_modules/@quasar/app-vite/types/bex/bex-bridge.d.ts"
      ]
    }
  },
  "include": [
    "./**/*.d.ts",
    "./**/*",
    ".eslintrc.js"
  ],
  "exclude": [
    "./dist",
    "./node_modules",
    "./src-capacitor",
    "./src-cordova",
    "./public/js",
    "./scripts",
    "./docs",
    "./statics",
    "./upload",
    "./quasar.config.ts",
    "./quasar.config.*.temporary.compiled*"
  ]
}